Route Description
GET /limits Get limits
GET [/orgs/:orgId]/usage Get usage

Overview

Accounts have limits related to running tests (duration, bandwidth, storage, etc). Use these routes to see your limits and how much usage you’ve logged against those limits.

Get limits

Retrieve an array of all limits. Same as what you see under Settings -> Limits on the website.

GET /limits

Request Parameters

None

Sample Response

[
   {
      "entity":"Execution",
      "group":"Test Size",
      "name":"concurrentUsers",
      "units":"users",
      "description":"Billed Virtual Users",
      "aggregation":"Total",
      "trackByEntity":true,
      "value":50000
   },
   {
      "entity":"Execution",
      "group":"Test Size",
      "name":"browserSessions",
      "units":"sessions",
      "description":"Browser Sessions",
      "aggregation":"Total",
      "trackByEntity":true,
      "value":5000
   },
   {
      "entity":"PublicExecution",
      "group":"Test Size",
      "name":"publicConcurrentUsers",
      "units":"users",
      "description":"Public Billed Virtual Users",
      "aggregation":"Total",
      "trackByEntity":true,
      "value":500
   },
   {
      "entity":"PublicExecution",
      "group":"Test Size",
      "name":"publicLoadEngines",
      "units":"engines",
      "description":"Public Load Test Engines",
      "aggregation":"Total",
      "trackByEntity":true,
      "value":10
   },
   {
      "entity":"Execution",
      "group":"Test Size",
      "name":"requestsPerSec",
      "units":"req/sec",
      "description":"Requests/sec",
      "aggregation":"Active",
      "trackByEntity":false,
      "value":50000
   },
   {
      "entity":"Execution",
      "group":"Test Size",
      "name":"throughput",
      "units":"bytes/sec",
      "description":"Throughput",
      "aggregation":"Active",
      "trackByEntity":false
   },
   {
      "entity":"Execution",
      "group":"Test Size",
      "name":"executionDuration",
      "units":"secs",
      "description":"Test Duration",
      "aggregation":"None",
      "trackByEntity":false,
      "value":43200
   },
   {
      "entity":"TestRunner",
      "group":"Test Runners",
      "name":"publicRunners",
      "units":"runners",
      "description":"Platform Hosted Runners",
      "aggregation":"Total",
      "trackByEntity":true,
      "value":250
   },
   {
      "entity":"TestRunner",
      "group":"Test Runners",
      "name":"selfHostedRunners",
      "units":"runners",
      "description":"Self Hosted Runners",
      "aggregation":"Total",
      "trackByEntity":true,
      "value":250
   },
   {
      "entity":"TestRunner",
      "group":"Test Runners",
      "name":"totalRunners",
      "units":"runners",
      "description":"Total Runners",
      "aggregation":"Total",
      "trackByEntity":true,
      "value":250
   },
   {
      "entity":"Instance",
      "group":"Test Runners",
      "name":"publicInstances",
      "units":"instances",
      "description":"Platform Hosted Instances",
      "aggregation":"Total",
      "trackByEntity":true,
      "value":250
   },
   {
      "entity":"Instance",
      "group":"Test Runners",
      "name":"selfHostedInstances",
      "units":"instances",
      "description":"Self Hosted Instances",
      "aggregation":"Total",
      "trackByEntity":true,
      "value":250
   },
   {
      "entity":"Recording",
      "group":"Recording",
      "name":"recordingSteps",
      "units":"steps",
      "description":"Steps Per Recording",
      "aggregation":"PerEntity",
      "trackByEntity":true,
      "value":1000
   },
   {
      "entity":"Recording",
      "group":"Recording",
      "name":"recordingSize",
      "units":"bytes",
      "description":"Recording Size",
      "aggregation":"PerEntity",
      "trackByEntity":true,
      "value":104857600
   },
   {
      "entity":"Recording",
      "group":"Recording",
      "name":"recordingDuration",
      "units":"ms",
      "description":"Recording Duration",
      "aggregation":"None",
      "trackByEntity":false,
      "value":3600
   },
   {
      "entity":"Storage",
      "group":"Storage Related",
      "name":"totalStorage",
      "units":"bytes",
      "description":"Total Storage",
      "aggregation":"Total",
      "trackByEntity":true,
      "value":536870912000
   },
   {
      "entity":"Execution",
      "group":"Storage Related",
      "name":"storageDuration",
      "units":"secs",
      "description":"Test Retention",
      "aggregation":"None",
      "trackByEntity":false,
      "value":31536000
   },
   {
      "entity":"Execution",
      "group":"Storage Related",
      "name":"storageDurationLogs",
      "units":"secs",
      "description":"Log Storage Duration",
      "aggregation":"None",
      "trackByEntity":false,
      "value":7776000
   },
   {
      "entity":"Execution",
      "group":"Storage Related",
      "name":"storageDurationTraces",
      "units":"secs",
      "description":"Trace Storage Duration",
      "aggregation":"None",
      "trackByEntity":false,
      "value":7776000
   },
   {
      "entity":"Execution",
      "group":"Storage Related",
      "name":"storageDurationCommands",
      "units":"secs",
      "description":"Command Storage Duration",
      "aggregation":"None",
      "trackByEntity":false,
      "value":7776000
   },
   {
      "entity":"Execution",
      "group":"Storage Related",
      "name":"storageDurationCommandDatas",
      "units":"secs",
      "description":"Command Data Storage Duration",
      "aggregation":"None",
      "trackByEntity":false,
      "value":604800
   },
   {
      "entity":"Execution",
      "group":"Storage Related",
      "name":"storageDurationVideos",
      "units":"secs",
      "description":"Video Storage Duration",
      "aggregation":"None",
      "trackByEntity":false,
      "value":7776000
   },
   {
      "entity":"Execution",
      "group":"Storage Related",
      "name":"storageDurationOutputFiles",
      "units":"secs",
      "description":"Output File Storage Duration",
      "aggregation":"None",
      "trackByEntity":false,
      "value":7776000
   },
   {
      "entity":"Execution",
      "group":"Storage Related",
      "name":"storageDurationRawResults",
      "units":"secs",
      "description":"Raw Result Storage Duration",
      "aggregation":"None",
      "trackByEntity":false,
      "value":7776000
   },
   {
      "entity":"Execution",
      "group":"Storage Related",
      "name":"storageDurationAssertions",
      "units":"secs",
      "description":"Load Test Assertion Storage Duration",
      "aggregation":"None",
      "trackByEntity":false,
      "value":7776000
   },
   {
      "entity":"Execution",
      "group":"Storage Related",
      "name":"storageDurationFunctionalAssertions",
      "units":"secs",
      "description":"Functional Test Assertion Storage Duration",
      "aggregation":"None",
      "trackByEntity":false
   },
   {
      "entity":"Execution",
      "group":"Storage Related",
      "name":"storageDurationResourceIntervals",
      "units":"secs",
      "description":"Resource Intervals Storage Duration",
      "aggregation":"None",
      "trackByEntity":false,
      "value":7776000
   },
   {
      "entity":"File",
      "group":"Account Related",
      "name":"fileSize",
      "units":"bytes",
      "description":"File Size",
      "aggregation":"None",
      "trackByEntity":false,
      "value":209715200
   },
   {
      "entity":"Execution",
      "group":"Test Size",
      "name":"outputFiles",
      "units":"files",
      "description":"Output Files",
      "aggregation":"PerEntity",
      "trackByEntity":true,
      "value":100000
   },
   {
      "entity":"Execution",
      "group":"Account Related",
      "name":"queueSize",
      "units":"tests",
      "description":"Queued Test Runs",
      "aggregation":"Total",
      "trackByEntity":true,
      "value":100
   },
   {
      "entity":"Execution",
      "group":"Account Related",
      "name":"runningExecutions",
      "units":"tests",
      "description":"Active Test Runs",
      "aggregation":"Total",
      "trackByEntity":true
   },
   {
      "entity":"Execution",
      "group":"Account Related",
      "name":"processingExecutions",
      "units":"tests",
      "description":"Processing Test Runs",
      "aggregation":"Total",
      "trackByEntity":true
   },
   {
      "entity":"ElasticIP",
      "group":"Account Related",
      "name":"totalElasticIps",
      "units":"ips",
      "description":"Total Assigned AWS Elastic IPs",
      "aggregation":"Total",
      "trackByEntity":true,
      "value":50
   },
   {
      "entity":"PublicIP",
      "group":"Account Related",
      "name":"totalPublicIps",
      "units":"ips",
      "description":"Total Assigned Azure Public IPs",
      "aggregation":"Total",
      "trackByEntity":true,
      "value":50
   },
   {
      "entity":"Execution",
      "group":"Monitoring Related",
      "name":"storageDurationMonitorExecutions",
      "units":"secs",
      "description":"Monitor Execution Duration",
      "aggregation":"None",
      "trackByEntity":false,
      "value":259200
   },
   {
      "entity":"MonitorCheck",
      "group":"Monitoring Related",
      "name":"storageDurationMonitorChecks",
      "units":"secs",
      "description":"Monitor Check Duration",
      "aggregation":"None",
      "trackByEntity":false,
      "value":604800
   },
   {
      "entity":"MonitorPing",
      "group":"Monitoring Related",
      "name":"storageDurationMonitorPings",
      "units":"secs",
      "description":"Heartbeat Ping Duration",
      "aggregation":"None",
      "trackByEntity":false,
      "value":2592000
   },
   {
      "entity":"AiCredit",
      "group":"AI Related",
      "name":"maxAiCreditPerRun",
      "units":"credits",
      "description":"Maximum AI credits per run",
      "aggregation":"None",
      "trackByEntity":false
   }
]

Get usage

Get information regarding your usage, either for all organizations you have access to OR a specific org (by id).

GET /usage
GET /orgs/:orgId/usage

Request Parameters

  • limitNames - Specific limits for which to get usage. If you omit, you will get back usage for all limits.
  • primary - Boolean. Whether to return usage for the specific organization (default) or for all organizations that are linked under the same account.
  • includeByEntity - Whether or not to include a breakdown of usage by entity. Depending on the limit the entity by which we track usage is different. Defaults to false.
  • includeEntityDetails - Whether to include details about the entity in the usage breakdown by entity. Defaults to false.

Sample Response

[
   {
      "maxEntityUsage":0,
      "limit":{
         "entity":"Execution",
         "group":"Account Related",
         "name":"queueSize",
         "units":"tests",
         "description":"Queued Test Runs",
         "aggregation":"Total",
         "trackByEntity":true,
         "value":100
      },
      "usage":26.0,
      "entityCount":26,
      "byEntity":[
         
      ]
   }
]